Skip to main content
POST
/
api
/
assets
/
{id}
/
confirm
Confirm Asset Upload
curl --request POST \
  --url https://aitoearn.cn/api/assets/{id}/confirm \
  --header 'X-Api-Key: <api-key>'
{
  "code": 0,
  "message": "Request succeeded",
  "data": {
    "id": "string",
    "userId": "string",
    "userType": "user",
    "path": "string",
    "type": "aiImage",
    "status": "pending",
    "mimeType": "string",
    "createdAt": "2026-07-02T12:00:00.000Z",
    "updatedAt": "2026-07-02T12:00:00.000Z",
    "url": "string",
    "size": 1,
    "filename": "string"
  }
}

Authorizations

X-Api-Key
string
header
required

Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".

Path Parameters

id
string
required

Response

200 - application/json

The request has been processed by the service. Business success is determined by whether the response body has code === 0.

code
integer
required

Business status code. 0 means success; non-zero means a business error.

message
string
required

Response message.

data
object
requestId
string

Request ID.

timestamp
integer

Error response timestamp in Unix milliseconds.